[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: py.test is not in debian anymore


On 4 April 2012 15:47, Simon Chopin <chopin.simon@gmail.com> wrote:
> IMHO there is three alternatives:
>  * Provide the scripts for all Python versions available, py.test[-3]
>    pointing to the default Python version. It would mean that the
>    package would depend on python-all and python3-all because of the
>    shebang. I strongly dislike this one.

I don't think this is so bad really.  py.test is a development
package, not a runtime dependency and I don't think it's unreasonable
to ask a python developer to install python[3]-all.


Debian GNU/Linux -- The Power of Freedom
www.debian.org | www.gnu.org | www.kernel.org

Reply to: